package com.bocloud.nms.model.veeam;

import com.bocloud.nms.model.veeam.job.JobModel;
import com.bocloud.nms.model.veeam.job.JobStateModel;
import com.bocloud.nms.model.veeam.job.VmwareObjectSizeModel;
import com.bocloud.nms.model.veeam.repositories.RepositoryModel;

import java.util.List;

public class SyncModel {

    private List<JobModel> jobModels;
    private List<RepositoryModel> repositoryModels;
    private List<BackupModel> backupModels;
    private List<BackupObjectModel> backupObjectModels;
    private List<ObjectRestorePointModel> objectRestorePointModels;
    private List<VmwareObjectSizeModel> vmwareObjectSizeModels;
    private List<SessionModel> sessionModels;
    private List<JobStateModel> jobStateModels;
    private List<RepositoryStateModel> repositoryStateModels;

    public List<RepositoryStateModel> getRepositoryStateModels() {
        return repositoryStateModels;
    }

    public void setRepositoryStateModels(List<RepositoryStateModel> repositoryStateModels) {
        this.repositoryStateModels = repositoryStateModels;
    }

    public List<JobStateModel> getJobStateModels() {
        return jobStateModels;
    }

    public void setJobStateModels(List<JobStateModel> jobStateModels) {
        this.jobStateModels = jobStateModels;
    }

    public List<SessionModel> getSessionModels() {
        return sessionModels;
    }

    public void setSessionModels(List<SessionModel> sessionModels) {
        this.sessionModels = sessionModels;
    }

    public List<VmwareObjectSizeModel> getVmwareObjectSizeModels() {
        return vmwareObjectSizeModels;
    }

    public void setVmwareObjectSizeModels(List<VmwareObjectSizeModel> vmwareObjectSizeModels) {
        this.vmwareObjectSizeModels = vmwareObjectSizeModels;
    }

    public List<JobModel> getJobModels() {
        return jobModels;
    }

    public void setJobModels(List<JobModel> jobModels) {
        this.jobModels = jobModels;
    }

    public List<RepositoryModel> getRepositoryModels() {
        return repositoryModels;
    }

    public void setRepositoryModels(List<RepositoryModel> repositoryModels) {
        this.repositoryModels = repositoryModels;
    }

    public List<BackupModel> getBackupModels() {
        return backupModels;
    }

    public void setBackupModels(List<BackupModel> backupModels) {
        this.backupModels = backupModels;
    }

    public List<BackupObjectModel> getBackupObjectModels() {
        return backupObjectModels;
    }

    public void setBackupObjectModels(List<BackupObjectModel> backupObjectModels) {
        this.backupObjectModels = backupObjectModels;
    }

    public List<ObjectRestorePointModel> getObjectRestorePointModels() {
        return objectRestorePointModels;
    }

    public void setObjectRestorePointModels(List<ObjectRestorePointModel> objectRestorePointModels) {
        this.objectRestorePointModels = objectRestorePointModels;
    }
}
